export declare interface AAXConfig {
  verbose: boolean
  outputDir?: string
  outputFormat?: 'mp3' | 'm4a' | 'm4b'
  chaptersEnabled?: boolean
  bitrate?: number
  ffmpegPath?: string
  activationCode?: string
}
export declare interface ConversionOptions {
  inputFile: string
  outputDir?: string
  outputFormat?: 'mp3' | 'm4a' | 'm4b'
  activationCode?: string
  chaptersEnabled?: boolean
  bitrate?: number
}
export declare interface ConversionResult {
  success: boolean
  outputPath?: string
  error?: string
}
export declare interface BookMetadata {
  title?: string
  author?: string
  narrator?: string
  duration?: number
  chapters?: Chapter[]
}
export declare interface Chapter {
  title: string
  startTime: number
  endTime: number
}